Permalink
Browse files

changed gemspec to signify change needed to subexec before this will …

…work properly
  • Loading branch information...
2potatocakes committed Dec 20, 2011
1 parent 6b111b3 commit e79d7a868099fe178948c8b3ed3379a81d97f6e4
Showing with 3 additions and 4 deletions.
  1. +1 −1 mini_magick.gemspec
  2. +2 −3 test/image_test.rb
View
@@ -16,5 +16,5 @@ Gem::Specification.new do |s|
s.files = Dir['README.rdoc', 'VERSION', 'MIT-LICENSE', 'Rakefile', 'lib/**/*']
s.test_files = Dir['test/**/*']
s.require_paths = ["lib"]
- s.add_runtime_dependency('subexec', ['~> 0.2.0'])
+ s.add_runtime_dependency('subexec', ['~> 0.2.1'])
end
View
@@ -21,9 +21,8 @@ def test_image_open
end
def test_image_io_reading
- buffer = StringIO.new(File.read(SIMPLE_IMAGE_PATH)) #This way does not work properly on windows
- buffer = StringIO.new File.open(SIMPLE_IMAGE_PATH,"rb") { |f| f.read } if RUBY_PLATFORM =~ /mswin|mingw|cygwin/
-
+# buffer = StringIO.new(File.read(SIMPLE_IMAGE_PATH)) #This way does not work properly on windows
+ buffer = StringIO.new File.open(SIMPLE_IMAGE_PATH,"rb") { |f| f.read } #This way works the same on all platforms
image = Image.read(buffer)
assert image.valid?
image.destroy!

0 comments on commit e79d7a8

Please sign in to comment.